import { ChildProcess, SpawnOptions } from "child_process";
export declare function createTempPath(extension: string, prefix?: string): string;
/**
 * Save the given codemodel in a yaml file.
 * @param name Name of the codemodel. To give a guide to the temp file name.
 * @param codemodel Codemodel to save
 * @return the absolute path to the created codemodel.
 */
export declare function saveCodeModelAsYaml(name: string, codemodel: unknown): Promise<string>;
/**
 * Start external process async
 * @param command Command to run. This is the just the executable path or name.
 * @param args Command arguments.
 * @param options Options
 */
export declare function execAsync(command: string, args: string[], options?: SpawnOptions): Promise<{
    exitCode: number;
    proc: ChildProcess;
}>;
//# sourceMappingURL=external-process.d.ts.map