import { SdkHeaderParameter, SdkHttpParameter, SdkMethod, SdkModelPropertyType, SdkParameter, SdkQueryParameter, SdkServiceMethod, SdkServiceOperation, SdkType } from "@azure-tools/typespec-client-generator-core";
import { PythonSdkContext } from "./lib.js";
export declare function camelToSnakeCase(name: string): string;
export declare function removeUnderscoresFromNamespace(name?: string): string;
export declare function getImplementation<TServiceOperation extends SdkServiceOperation>(context: PythonSdkContext<TServiceOperation>, parameter: SdkParameter | SdkHttpParameter): "Client" | "Method";
export declare function isAbstract<TServiceOperation extends SdkServiceOperation>(method: SdkServiceMethod<TServiceOperation>): boolean;
export declare function getDelimiterAndExplode(parameter: SdkQueryParameter | SdkHeaderParameter): [string | undefined, boolean];
type ParamBase = {
    optional: boolean;
    description: string;
    addedOn: string | undefined;
    clientName: string;
    inOverload: boolean;
    isApiVersion: boolean;
    type: Record<string, any>;
};
export declare function getAddedOn<TServiceOperation extends SdkServiceOperation>(context: PythonSdkContext<TServiceOperation>, type: SdkModelPropertyType | SdkMethod<TServiceOperation>): string | undefined;
export declare function emitParamBase<TServiceOperation extends SdkServiceOperation>(context: PythonSdkContext<TServiceOperation>, parameter: SdkParameter | SdkHttpParameter): ParamBase;
export declare function isAzureCoreErrorResponse(t: SdkType | undefined): boolean;
export declare function capitalize(name: string): string;
export declare function getClientNamespace<TServiceOperation extends SdkServiceOperation>(context: PythonSdkContext<TServiceOperation>, clientNamespace: string): string;
export {};
//# sourceMappingURL=utils.d.ts.map